function mainSliderInit() {
	if ($('.brand__list').length) {
		$('.brand__list').slick({
			prevArrow: '<a class="slick-arrow-prev" />',
			nextArrow: '<a class="slick-arrow-next" />',
			dots: true,
			slidesToShow: 7,
			draggable:false,
			slidesToScroll: 4,
			responsive: [
			{
		      breakpoint: 1023,
		      settings: {
		        arrows: true,
		        slidesToShow: 5,
		        draggable:false,
      			slidesToScroll: 6
		      }
		    },
		    {
		      breakpoint: 768,
		      settings: {
		        arrows: true,
		        slidesToShow: 4,
      			slidesToScroll: 3
		      }
		    },
		    {
		      breakpoint: 580,
		      settings: {
		        arrows: true,
		        slidesToShow: 3,
      			slidesToScroll: 3
		      }
		    },
		    {
		      breakpoint: 450,
		      settings: {
		        arrows: true,
		        slidesToShow: 2,
      			slidesToScroll: 2
		      }
		    }
		  ]
		});
	}

	if ( $('.recommend__list').length ) {
		$('.recommend__list').slick({
			arrows: false,
			infinite: false,
			slidesToShow: 3,
			dots: false,
			draggable:false,
			responsive: [
		    {
		      breakpoint: 1023,
		      settings: {
		        arrows: false,
		        variableWidth: true,
		        dots: false,
		        draggable:true,
		        slidesToShow: 3,
		      }
		    },
		    {
		      breakpoint: 767,
		      settings: {
		        arrows: false,
		        variableWidth: true,
		        dots: false,
		        draggable:true,
		        slidesToShow: 1,
		      }
		    },
		  ]	
		})
	}
}

function couner() {
	$('#countdown').counter();
}

function scrollUp() {

	function showHideBtn() {
		var position = $(window).scrollTop();
		var positionElem = $('#transparency').offset().top;
		if ( $(window).width() < 767 ) {
			if ( position > positionElem ) {
				$('.upBtn').addClass('active');
			}else {
				$('.upBtn').removeClass('active');
			}
		}else {
			$('.upBtn').removeClass('active');
		}
		
	}

	$(window).on('scroll', function() {
		showHideBtn();
	});

	
	$(window).on('resize', function() {
		showHideBtn();
	})

}

function animateAnchor() {
	$('.anchor').click(function(e){
		var el = $(this).attr('href');
		$('body, html').animate({
		scrollTop: $(el).offset().top}, 1000);
		e.preventDefault();
	});
}

function resizeVideo() {
	if ( $("#bgvid").length ) {
		var vid = document.getElementById("bgvid");

		function vidFade() {
		  vid.classList.add("stopfade");
		}

		vid.addEventListener('ended', function() {
		// only functional if "loop" is removed 
		//vid.pause();
		// to capture IE10
		vidFade();
		}); 
	}

}


$(document).on('ready', function() {

	mainSliderInit();
	couner();
	scrollUp();
	animateAnchor();
	resizeVideo();

});